From: Matthias Koeppe <mkoeppe@mail.Math.Uni-Magdeburg.De>
Cc: guile-devel@gnu.org, automake@gnu.org
Subject: Re: Problem building CVS Guile with automake 1.6.1
Date: Fri, 26 Apr 2002 16:37:29 +0200 [thread overview]
Message-ID: <uw5lmbacyqe.fsf@lambda.math.uni-magdeburg.de> (raw)
In-Reply-To: <2002-04-26-13-33-13+29271+duret_g@epita.fr> (Alexandre Duret-Lutz's message of "Fri, 26 Apr 2002 13:33:12 +0200")
Alexandre Duret-Lutz <duret_g@lrde.epita.fr> writes:
>>>> "Matthias" == Matthias Koeppe <mkoeppe@saturn.Math.Uni-Magdeburg.De> writes:
>
> Matthias> Guile's `guile-aclocal.sh' script fails with automake
> Matthias> 1.6.1. Here is the relevant part:
>
> >> # copy all installed aclocal files into $temp
> >> cp `aclocal --print-ac-dir`/*.m4 $temp
> >>
> >> # remove the .m4 files installed by Guile from $temp, so they don't
> >> # cause conflicts
> >> rm -f ${temp}/guile.m4 ${temp}/qthreads.m4
> >>
> >> aclocal --acdir=$temp -I .
>
> This is a work-around makes sense up to Automake 1.4.
> It still works with 1.5.
> It breaks with recent versions.
>
> aclocal from Automake 1.4 chokes when a -I supplied macro
> override a /usr/share/aclocal/ macro, hence your script.
>
> Starting with Automake 1.5, a macro supplied with -I will
> override any macro installed in /usr/share/aclocal/, so
> you simply have to run
>
> aclocal -I .
>
> (no cp, rm, or --acdir)
>
> [...]
Alexandre, thank you very much for the detailed explanation.
Dear Guile maintainers: I have prepared the patch below, which checks
for Automake 1.4, for which the work-around is still used; for newer
automake, aclocal is called directly. (Alternatively, one could
require Automake 1.5 for hacking Guile and get rid of the work-around
altogether.)
-- Matthias
--- guile-aclocal.sh.~1.1~ Thu Jun 1 17:10:50 2000
+++ guile-aclocal.sh Fri Apr 26 14:46:04 2002
@@ -1,19 +1,25 @@
-#!/bin/sh
+#!/bin/sh -x
-temp=/tmp/guile-aclocal.$$
-trap "rm -rf $temp" 0 1 2 15
+if aclocal --version | head -1 | grep '1\.4' > /dev/null ; then
+ ## Workaround for Automake < 1.5:
+ temp=/tmp/guile-aclocal.$$
+ trap "rm -rf $temp" 0 1 2 15
-mkdir $temp
-[ -d $temp ] || {
- echo "guile-aclocal.sh: cannot create temp directory"
- exit 1
-}
+ mkdir $temp
+ [ -d $temp ] || {
+ echo "guile-aclocal.sh: cannot create temp directory"
+ exit 1
+ }
-# copy all installed aclocal files into $temp
-cp `aclocal --print-ac-dir`/*.m4 $temp
+ # copy all installed aclocal files into $temp
+ cp `aclocal --print-ac-dir`/*.m4 $temp
-# remove the .m4 files installed by Guile from $temp, so they don't
-# cause conflicts
-rm -f ${temp}/guile.m4 ${temp}/qthreads.m4
+ # remove the .m4 files installed by Guile from $temp, so they don't
+ # cause conflicts
+ rm -f ${temp}/guile.m4 ${temp}/qthreads.m4
-aclocal --acdir=$temp -I .
+ aclocal --acdir=$temp -I .
+else
+ ## Automake >= 1.5 works
+ aclocal -I .
+fi
--
Matthias Köppe -- http://www.math.uni-magdeburg.de/~mkoeppe
_______________________________________________
Guile-devel mailing list
Guile-devel@gnu.org
http://mail.gnu.org/mailman/listinfo/guile-devel
next prev parent reply other threads:[~2002-04-26 14:37 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2002-04-26 9:03 Problem building CVS Guile with automake 1.6.1 Matthias Koeppe
2002-04-26 11:33 ` Alexandre Duret-Lutz
2002-04-26 14:37 ` Matthias Koeppe [this message]
2002-04-26 17:19 ` Marius Vollmer
2002-04-26 17:53 ` Thien-Thi Nguyen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
List information: https://www.gnu.org/software/guile/
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=uw5lmbacyqe.fsf@lambda.math.uni-magdeburg.de \
--to=mkoeppe@mail.math.uni-magdeburg.de \
--cc=automake@gnu.org \
--cc=guile-devel@gnu.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).